Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class BlobValueHandler

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractValueHandler
          org.apache.openjpa.jdbc.meta.strats.BlobValueHandler

All Implemented Interfaces:
  Serializable, ValueHandler

    public class BlobValueHandler

extends AbstractValueHandler

Handler for blob values.

See Also:
  Serialized Form

Constructor Summary
`BlobValueHandler()`

Method Summary
`static BlobValueHandler` | `getInstance()` Singleton instance.
`Column[]` | `map(ValueMapping vm, DBIdentifier name, ColumnIO io, boolean adapt)`
`Column[]` | `map(ValueMapping vm, String name, ColumnIO io, boolean adapt)` Deprecated.

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractValueHandler
`getResultArgument, isVersionable, objectValueRequiresLoad, toDataStoreValue, toObjectValue, toObjectValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobValueHandler

    public BlobValueHandler()

Method Detail

### getInstance

    public static BlobValueHandler getInstance()

  Singleton instance.

### map

    public Column[] map(ValueMapping vm,
                        String name,
                        ColumnIO io,
                        boolean adapt)

  Deprecated.

  Description copied from interface: `ValueHandler`
  Map the given value and return all mapped columns, or simply return an array of unmapped default columns. The columns should have at least their `Name` and `JavaType` properties set.

    `name` - use as a base to form column name(s); the column names of unmapped columns will automatically be made to fit database limitations
    `io` - I/O information about mapped columns; you do not have to set this information if returning templates
    `adapt` - whether to adapt the mapping or schema

### map

    public Column[] map(ValueMapping vm,
                        DBIdentifier name,
                        ColumnIO io,
                        boolean adapt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.